Add some tests for the follow-on search add-on in mozilla-central
We should add some tests for the follow-on search system add-on. The github repo has some, but we should investigate items for in-tree use.
